Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodetextnodevalue Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodetextnodevalue (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The string returned by the "getNodeValue()" method for a Text Node is the content of the Text node.

Retrieve the Text node from the last child of the first employee and check the string returned by the "getNodeValue()" method. It should be equal to "1230 North Ave. Dallas, Texas 98551".

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-F68D080

Definition at line 45 of file nodetextnodevalue.java.

## Constructor & Destructor Documentation

nodetextnodevalue::nodetextnodevalue | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 47 of file nodetextnodevalue.java.
    00048  {
    00049       super(factory);
    00050
    00051    }

## Member Function Documentation

String nodetextnodevalue::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 67 of file nodetextnodevalue.java.
    00067                                 {
    00068       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodetextnodevalue";
    00069    }

void nodetextnodevalue::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 70 of file nodetextnodevalue.java. References DOMTestCase::doMain().
    00070                                           {
    00071         DOMTestCase.doMain(nodetextnodevalue.class,args);
    00072    }

void nodetextnodevalue::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 53 of file nodetextnodevalue.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00053                                                     {
    00054       Document doc;
    00055       NodeList elementList;
    00056       Element testAddr;
    00057       Node textNode;
    00058       String textValue;
    00059       doc = load("staff");
    00060       elementList = doc.getElementsByTagName("address");
    00061       testAddr = (Element)elementList.item(0);
    00062       textNode = testAddr.getFirstChild();
    00063       textValue = textNode.getNodeValue();
    00064       assertEquals("nodeTextNodeValueAssert1","1230 North Ave. Dallas, Texas 98551",textValue);
    00065
    00066    }

The documentation for this class was generated from the following file:

- nodetextnodevalue.java